Debian Bug report logs - #719951
override: gnome:metapackages/optional, gnome-core:metapackages/optional

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Kevin Berley <team.gordon.24@gmail.com>

Date: Sat, 17 Aug 2013 06:36:02 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, team.gordon.24@gmail.com, debian-devel@lists.debian.org:
Bug#719951; Package general. (Sat, 17 Aug 2013 06:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Berley <team.gordon.24@gmail.com>:
New Bug report received and forwarded. Copy sent to team.gordon.24@gmail.com, debian-devel@lists.debian.org. (Sat, 17 Aug 2013 06:36:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kevin Berley <team.gordon.24@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: Autoremove Wants to remove Entire system
Date: Fri, 16 Aug 2013 23:33:27 -0700
Package: general
Severity: important

Dear Maintainer,
I was uninstalling Iceweasel cause I wanted the actual firefox.  I found the actual firefox way to install.  It said remove iceweasel, i did, i installed firefox.  It works, I went back to trying to installing wine unstable, well as I was getting usual errors, suddenly it says that 295 items are nolonger needed and need removed.  I look at the list, its the whole base system...  Had this happen once before, and had to restart fresh.  I would like someone to get debian to ignore this before someone else litterally looses a system with out thinking twice.  The autoremove needs reconfigured.


-- System Information:
Debian Release: 7.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#719951; Package general. (Sat, 17 Aug 2013 10:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Sat, 17 Aug 2013 10:00:04 GMT) Full text and rfc822 format available.

Message #10 received at 719951@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Kevin Berley <team.gordon.24@gmail.com>, 719951@bugs.debian.org
Subject: Re: Bug#719951: general: Autoremove Wants to remove Entire system
Date: Sat, 17 Aug 2013 11:56:18 +0200
[Message part 1 (text/plain, inline)]
Control: reassign -1 ftp.debian.org
Control: retitle -1 gnome-core should be in Section: metapackages
Control: affects -1 gnome-core

On Fri, 2013-08-16 at 23:33 -0700, Kevin Berley wrote:
> Package: general
> Severity: important
> 
> Dear Maintainer,
> I was uninstalling Iceweasel cause I wanted the actual firefox.  I
> found the actual firefox way to install.  It said remove iceweasel, i
> did, i installed firefox.  It works, I went back to trying to
> installing wine unstable, well as I was getting usual errors, suddenly
> it says that 295 items are nolonger needed and need removed.  I look
> at the list, its the whole base system...  Had this happen once
> before, and had to restart fresh.  I would like someone to get debian
> to ignore this before someone else litterally looses a system with out
> thinking twice.  The autoremove needs reconfigured.

The firefox package should perhaps coexist with iceweasel.

Anyway, since gnome-core depends on iceweasel, removing iceweasel also
removes gnome-core.  Everything gnome-core depended on was marked
auto-installed, and then becomes auto-removable.

Changing the section of gnome-core to 'metapackages' disables this
behaviour - its dependencies will not be treated as auto-installed and
auto-removable (since apt version 0.7.26~exp6).

Ben.

-- 
Ben Hutchings
Teamwork is essential - it allows you to blame someone else.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'general' to 'ftp.debian.org'. Request was from Ben Hutchings <ben@decadent.org.uk> to 719951-submit@bugs.debian.org. (Sat, 17 Aug 2013 10:00:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'gnome-core should be in Section: metapackages' from 'general: Autoremove Wants to remove Entire system' Request was from Ben Hutchings <ben@decadent.org.uk> to 719951-submit@bugs.debian.org. (Sat, 17 Aug 2013 10:00:05 GMT) Full text and rfc822 format available.

Added indication that 719951 affects gnome-core Request was from Ben Hutchings <ben@decadent.org.uk> to 719951-submit@bugs.debian.org. (Sat, 17 Aug 2013 10:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#719951; Package ftp.debian.org. (Sat, 17 Aug 2013 10:15:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 17 Aug 2013 10:15:15 GMT) Full text and rfc822 format available.

Message #21 received at 719951@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 719951@bugs.debian.org
Subject: Re: Bug#719951: general: Autoremove Wants to remove Entire system
Date: Sat, 17 Aug 2013 12:10:24 +0200
[Message part 1 (text/plain, inline)]
Control: retitle -1 gnome and gnome-core should be in Section: metapackages

On Sat, 2013-08-17 at 11:56 +0200, Ben Hutchings wrote:
> Anyway, since gnome-core depends on iceweasel, removing iceweasel also
> removes gnome-core.  Everything gnome-core depended on was marked
> auto-installed, and then becomes auto-removable.

Same applies to gnome, of course.

Ben.

-- 
Ben Hutchings
Teamwork is essential - it allows you to blame someone else.
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'gnome and gnome-core should be in Section: metapackages' from 'gnome-core should be in Section: metapackages' Request was from Ben Hutchings <ben@decadent.org.uk> to 719951-submit@bugs.debian.org. (Sat, 17 Aug 2013 10:15:15 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sun, 22 Sep 2013 20:09:19 GMT) Full text and rfc822 format available.

Changed Bug title to 'override: gnome:metapackages/optional, gnome-core:metapackages/optional' from 'gnome and gnome-core should be in Section: metapackages' Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sun, 22 Sep 2013 20:09:22 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 06 Nov 2013 12:51:08 GMT) Full text and rfc822 format available.

Notification sent to Kevin Berley <team.gordon.24@gmail.com>:
Bug acknowledged by developer. (Wed, 06 Nov 2013 12:51:08 GMT) Full text and rfc822 format available.

Message #32 received at 719951-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 719951-close@bugs.debian.org
Cc: gnome@packages.debian.org
Subject: Bug#719951: fixed
Date: Wed, 06 Nov 2013 12:46:51 +0000
We believe that the bug you reported is now fixed; the following
changes were made to the overrides...

Concerning package gnome...
Operating on the unstable suite
Changed section from gnome to metapackages


Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 719951@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Message #33 received at 719951-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 719951-close@bugs.debian.org
Cc: gnome-core@packages.debian.org
Subject: Bug#719951: fixed
Date: Wed, 06 Nov 2013 12:46:55 +0000
We believe that the bug you reported is now fixed; the following
changes were made to the overrides...

Concerning package gnome-core...
Operating on the unstable suite
Changed section from gnome to metapackages


Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 719951@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Dec 2013 07:34:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:06:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.